Sommaire

Ce document correspond à la version 1.5 de l'aide de GDMath, mis à jour le 8 septembre 2002. Il décrit les fonctionnalités de GDMath 6.0.

Généralités

Des informations sur l'auteur, le copyright, l'obtention de mise à jour, ...

Installation / Désinstallation

Installation manuelle ou automatique ? Des problèmes au démarrage de Word ? GDMath permanent ou au coup par coup ?

Toutes les infos pour bien installer GDMath sont ici ...

Barre d'outils

Cliquez sur une barre d'outils pour en savoir plus :

Pour voir comment désactiver certaines barres d'outils, lisez les Trucs et Astuces.

Trucs et astuces

Quelques trucs et astuces pour exploiter pleinement GDMath et Word.

Insertions automatiques

Quelques insertions automatiques pour écrire plus facilement des formules mathématiques.

Raccourcis clavier

Les raccourcis clavier permettent de ne pas avoir à jongler entre la souris et le clavier.


Généralités

GDMath est un ensemble de macro pour simplifier l'écriture de documents mathématiques dans Word. Elles ont été créées par Gilles Daurat, enseignant au collège Alfred Crouzet à Servian dans l'Herault. Les macros sont réellement utilisables depuis décembre 2001.

Le fichier d'aide est réalisé par Alain Bolli, enseignant en mathématiques au collège de Guebwiller et formateur à l'IUFM d'Alsace.

Ces macros sont gratuites ! A utiliser sans modération !

Les nouveautés :

Consultez le fichier nouveau.txt fourni avec GDMath. Il est accessible à partir du menu "Aide".

Des exemples :

Découvrez la puissance de gdmath en parcourant le document suivant : exemples.pdf (il se trouve dans le répertoire c:\program files\gdmath). Vous pouvez aussi le consulter en cliquant sur le menu "Aide" de la barre d'outils Textes Mathématiques.
(Vous devez posséder Acrobat Reader pour le lire, téléchargeable ici)

Pour nous contacter :

Vous pouvez obtenir régulièrement les mises à jour de GDMath en vous inscrivant auprès de Gilles. Pour cela, il suffit de lui envoyer un mail avec pour objet "maj" et en précisant si vous souhaitez seulement être tenu au courant des mises à jour ou si vous souhaitez avoir la nouvelle version de GDMath dans votre courrier électronique (en pièce jointe).

Gilles Daurat, auteur des macros : macro.word@laposte.net

Des remarques à propos du fichier d'aide : alain.bolli@cdprof.com

Un forum est à votre disposition pour poser des questions ou proposer de nouvelles fonctionnalités sur le site www.cdprof.com

Télécharger :

Vous pouvez télécharger GDMath sur le site suivant : www.mathsenligne.com


Installation

Les thèmes de cette page :
Installation de GDMath - Utilisation de GDMath - Virus et Sécurité - Désinstallation de GDMath

Installation de GDMath :

Décompressez l'archive gdmath.zip dans un répertoire quelconque.

Vous avez le choix entre une installation manuelle ou automatique :

- Installation automatique :

Ouvrez le document install.doc puis suivez les instructions.

Pour information, le programme copie le fichier d'aide ainsi que le fichier nouveau.txt dans le dossier c:\Program Files\gdmath. Il copie aussi le modèle gdmath.dot au bon endroit suivant la version de Word ainsi qu'une police (symbolgd.ttf) dans c:\windows\fonts.

Il est possible que la police soit mal copiée si vous aviez déjà une version précédente de GDMath. Dans ce cas il faut supprimer la police Symbolgd.ttf dans c:\windows\fonts.

- Installation manuelle :

1) copier la police symbolgd.ttf dans c:\windows\fonts

2) copier le modèle gdmath.dot dans le dossier des modèles. Celui-ci dépend de la version de Word et de Windows dont vous disposez. Voici la procédure pour trouver ce dossier :

  • Ouvrez Word
  • Cliquez sur "Outils", "Options", "Dossiers par défaut".
  • Notez les emplacements des dossiers "Modèles utilisateur" et "Fichiers de démarrage".

Si vous voulez que gdmath soit actif à tous les démarrages de Word, copiez gdmath.dot dans "Fichiers de démarrage".
Si vous voulez que gdmath soit actif pour certains documents seulement, copiez gdmath.dot dans "Modèles utilisateur". Lorsque vous créez un nouveau document vous avez alors le choix entre "document vide" (choix par défaut de Word) ou gdmath.dot.

3) Cette étape est facultative, mais peut se révéler très utile : vous pouvez copier le fichier d'aide (gdmath.chm), le fichier nouveau.txt et le fichier exemples.pdf dans un répertoire de votre choix. Par exemple, c:\Program Files\gdmath. Important : si vous voulez pouvoir lancer le fichier d'aide à partir de la barre d'outil, il faut impérativement le mettre dans le dossier c:\program files\gdmath.

Haut de page

Utilisation de GDMath :

L'activation des macros de GDMath est simple. Il y a deux possibilités suivant l'endroit où vous avez copié gdmath.dot :

1) Si vous avez copié gdmath.dot dans le dossier "Modèles utilisateur" il faut activer les macros à chaque fois que vous voulez les utiliser. Pour cela, créez un nouveau document (Fichier, Nouveau) puis choisissez le modèle gdmath parmi ceux proposés. Vous obtiendrez alors une page blanche avec les barres d'outils de GDMath. Vous pouvez déplacer ses barres d'outils à votre guise à la souris, pour les placer à l'horizontal par exemple. Vous pouvez aussi en enlever certaines (voir Trucs et Astuces).

2) Si vous avez copié gdmath.dot dans le dossier "Fichiers de démarrage", les macros sont automatiquemment activées à chaque utilisation de Word.

Haut de page

Et si on me parle de virus ou de sécurité au démarrage de Word ?

Par défaut Word n'autorise pas l'execution de macros car elles peuvent contenir des virus.

Pour activer les macros, il vous faut cliquer sur "Outils", "Macro", "Sécurité" puis cocher au moins "Niveau de sécurité moyen". Il faut arrêter Word et le relancer pour que la modification soit prise en compte.

Haut de page

Désinstallation de GDMath :

- Désinstallation automatique :

Ouvrez le document install.doc dans c:\program files\gdmath et suivez les instructions.

- Désinstallation manuelle :

Supprimez manuellement les différents fichiers :

La police symbolgd.ttf dans le dossier c:\windows\fonts
Le fichier gdmath.dot dans le dossier des modèles ou dans le dossier de démarrage de Word (voir ci-dessus pour trouver ces dossiers)
Les fichiers d'aides (aide.chm, exemples.pdf, ...) dans c:\program files\gdmath si vous avez gardé le dossier par défaut.

Haut de page


Barre d'outils Géométrie

La barre d'outils Géométrie

Voici une description des différents menus de la barre d'outils Géométrie :

Parcourez la page ou cliquez sur une icône de la barre d'outils pour en savoir plus :

Le menu "Objets" :

Le menu objets permet d'insérer des figures géométriques, des instruments de dessin, des quadrillages, ...
Cliquez ici pour avoir des détails.

Haut de page

L'icône "déplacer les noms des objets" [image] :

Cette icône permet de déplacer les textes des figures réalisées à partir d'une macro. Par exemple, si vous tracez un triangle ABC mais que la position des lettres ne vous plait pas, vous pouvez les déplacer. Pour cela, sélectionnez la figure, puis cliquez sur [image]. Vous obtenez la fenêtre suivante :

Vous pouvez alors déplacer le point A avec le clic gauche, ou le pivoter avec le clic droit. La case "Tous ensemble" permet de déplacer tous les textes en même temps. La case angle à le même effet que le clic droit. Les 4 boutons à cocher sont des angles prédéfinies (0, - 90, 90 et 180°).

Cette fenêtre vous permet aussi d'effacer des objets, par exemple des points d'intersection indésirables. Dans le fenêtre ci-dessus, si on décoche "Affiche l'objet", le point A (matérialisé par une croix) sera effacé , mais la lettre A sera toujours visible.

Haut de page

Le menu "Mesurer" :

Segment :

Affiche la longueur d'un segment dans une zone de texte. Sélectionnez un segment puis cliquez sur "mesurer", "segment".

Si une figure (obligatoirement une forme libre de Word) contient plusieurs segment le bouton "Passer au segment suivant" permet de ne pas mesurer un ou plusieurs de ces segments.

Angle

Cette macro ne fonctionne que sur une forme libre de Word. Elle permet de mesurer et d'afficher les angles de cette forme libre.

Haut de page

L'outil "symétrie axiale" [image]:

Tracez une droite à l'aide de la barre d'outils "dessin" de Word. Tracez une forme quelconque. Sélectionnez les deux objets (à l'aide de la touche majuscule) puis cliquez sur l'icône [image] pour tracer le symétrique de la forme par rapport à la droite.

Attention, il faut sélectionner la droite en premier, puis la forme. La forme peut être une figure gdmath, une figure libre de Word ou une figure de base de Word.

Haut de page

L'outil "symétrie centrale" [image]:

Il faut sélectionner deux droites sécantes et une figure. L'intersection des deux droites est le centre de symétrie. Il faut sélectionner les droites en premier.

Haut de page

L'outil "Rotation" [image] :

Cet outil permet de tracer l'image d'une figure par une rotation.
Tracez deux droites avec la barre d'outils "dessin" de Word. Le point d'intersection de ces deux droites sera le centre de la rotation (les droites seront effacées par la macro). Tracez ensuite la figure dont on veut trouver l'image par la rotation puis sélectionnez les deux droites et la figure (en commençant par les droites). Pour finir, cliquez sur [image] et donnez l'angle de la rotation dans la boîte de dialogue qui s'ouvre.

Haut de page

L'outil "Translation" [image]:

Cet outil permet de tracer l'image d'une figure par une translation.
Tracez une flèche avec la barre d'outils "dessin" de Word.
Tracez une figure.
Cliquez sur [image] et laissez faire GDMath !

Haut de page

L'outil "Oeil" [image]:

Sélectionnez un objet 3D créé avec gdmath puis cliquez sur l'oeil. Cela vous permettra de tourner votre figure.

Haut de page

L'outil "Rotation libre" [image]:

Cette icône de Word permet de transformer les poignée de redimensionnement en poignée de rotation. Vous pouvez alors faire pivoter votre figure.

Haut de page


Barre d'outils Géométrie - Menu Objet

Le menu Objet (barre d'outils Géométrie)

Voici une description des différents sous-menus du menu Objet. Vous pouvez parcourir toute la page ou cliquer sur un des liens suivant :

Figures géométrique - Segment - Droites - Repère - Fonction - Angle de droites - Triangle - Parallélogramme, Losange, Rectangle, Carré - Polygone régulier - Cercle - Arc de cercle - Camembert - Statistiques - Quadrillage - Réseau - Objet 3D - Objet 3D (prismes) - Perspectives - Patrons - Instruments

Figure géométrique :

Ce menu permet d'insérer une figure géométrique à partir de sa description en langage courant.

Cliquez ici pour en savoir plus.

Haut de page

Segment :

Trace un segment de mesure donnée. On peut aussi placer le milieu et le coder. Si vous ne mettez rien pour les noms des extrémités, un segment sans nom sera tout de même tracé.

Haut de page

Droites :

Droites graduées :

Trace une droite graduée. Si on coche "étiquette texte" un point est placé pour indiquer l'endroit où écrire les chiffres (ou les lettres !).

Diagonales :

Sélectionnez une figure, puis cliquez sur "diagonales" pour les tracer. Ce menu ne fonctionne pas sur les formes de bases de Word.

Droites remarquables :

Pour tracer ces droites, vous devez au préalable sélectionner un triangle. On peut aussi tracer la médiatrice d'un segment.

Ces menus fonctionnent avec les formes libres de Word (triangle uniquemment) et les figures faites avec les macros de GDMath. Ils ne fonctionnent pas avec une forme de base de word.

Sélectionnez un triangle puis cliquez sur le menu désiré (bissectrice, hauteur, médiatrice, médiane). Si les droites obtenues sont trop courtes, il faut dégrouper la figure (éventuellement plusieurs fois) puis sélectionner la droite à ralonger. On rallonge la droite à la souris en maintenant la touche majuscule enfoncée (permet d'éviter que la droite change d'orientation). Quand le dessin est terminé, on peut regrouper la figure pour faciliter le placement sur la page.

Haut de page

Repère :

Trace un repère, avec des droites, des points de coordonnées données, des vecteurs, avec ou sans pointillés ...

Pour tracer le repère, écrivez l'équation d'une ou plusieurs droites (obligatoirement sous la forme y=ax+b) et/ou d'un ou plusieurs points (sous la forme A(3;2)). Cliquez sur le menu "repère", complétez les options pour affiner selon vos goûts puis admirez le travail !
On peut aussi tracer un vecteur en donnant les coordonnées de ses "extrémités". Pour cela indiquez les coordonnées entre 2 accolades {x0;y0;x1;y1}. Par exemple tapez et sélectionnez le texte "A(0;2)B(5;6){0;4;-2;4}" puis cliquez sur repère. Vous obtiendrez un repère avec 2 points et un vecteur.

Par exemple la sélection des lignes :

y=x+2
A(-1;3)B(3;-2,5)

lance le tracé d'une droite et de deux points.

Remarque : le texte initial n'est pas effacé automatiquement afin de pouvoir compléter facilement la figure. Vous pouvez l'effacer une fois la figure terminée. Pour tracer plusieurs droites il faut inscrire une équation par ligne.

Haut de page

Fonction :

Le fonctionnement est similaire au repère ci-dessus. La variable de la fonction doit obligatoirement être un X majuscule.

Haut de page

Angle de droite :

Trace deux demi-droites formant un angle donné. Il suffit de cliquer sur l'icône puis de compléter la boîte de dialogue.

Haut de page

Triangle :

Permet de tracer toute sorte de triangles avec les codages des angles et des côtés. On peut aussi tracer les droites remarquables. Cochez les cases de la boîte de dialogue selon vos envies. Les cases pour le codage sont accessibles s'il y a des angles égaux ou des côtés égaux. Vous pouvez aussi modifier l'échelle pour obtenir un dessin proportionnel mais avec les valeurs réelles affichées.

Par exemple sur l'image ci-dessus on a choisi de tracer un triangle à partir des longueurs des côtés (partie gauche de la boîte de dialogue). Juste en-dessous on peut donner un nom aux sommets et choisir la couleur du triangle en cliquant sur le rectangle noir. La partie droite de la boîte de dialogue contient différents onglets (Mesures, Codages, Droites et Polices) qui donnent accès à de nombreuses options. Dans l'exemple affiché on peut tracer des droites remarquables (en cochant les cases) et choisir leur couleur (en cliquant sur le rectangle noir). On peut aussi tracer le cercle circonscrit et le cercle inscrit.

Haut de page

Parallélogramme, losange, rectangle, carré :

Procédure identique au triangle.

Haut de page

Polygone régulier :

Permet d'insérer un polygone régulier connaissant le nombre de sommet et le rayon du cercle circonscrit.

Haut de page

Cercle :

Procédure identique au triangle. On peut tracer une corde, une tangente, ...

Haut de page

Arc de cercle :

Trace un arc de cercle. L'angle de départ correspond à l'angle entre l'horizontale et le premier côté de l'angle. L'angle d'arrivée correspond à l'angle entre l'horizontale et le deuxième côté de l'angle. On tourne dans le sens trigonométrique.

Haut de page

Camembert :

Trace un camembert avec le nombre de part et le rayon voulus. En dissociant la figure on peut séparer les parts du camembert (voir trucs et astuces).

Haut de page

Statistiques :

Permet d'insérer des diagrammes à partir de données statistiques : au menu diagramme circulaire, semi circulaire et diagramme en bâton.

Ecrivez la série statistique en séparant les valeurs par un ";", puis cliquez sur le diagramme voulu (menu Objet, Statistiques).

Haut de page

Quadrillage :

Vous obtenez une boite de dialogue vous permettant de choisir la forme et la taille du quadrillage (petits et grands carreaux, papier millimétré, triangle, logarithmiques, semi-logarithmiques, rectangles et hexagone). Si vous cochez la case "cellule" vous pourrez sélectionner et agir sur chaque case individuellement (après avoir dissocié la figure, voir trucs et astuces).

Haut de page

Réseau :

Permet de tracer un réseau pointé (un quadrillage dont les points ne sont pas reliés). Les formes possible sont carré ou triangulaire. Si vous cochez "oblique" les carrés seront posés "sur la pointe".

Réseau carré classique :

Réseau carré oblique :

Haut de page

Objets 3D :

Permet d'insérer toute sorte d'objet 3D (cube, pyramide, sphère, cylindre,...). On peut aussi nommer les sommets.

Voici des exemples :

Section d'une sphère par un plan :

Haut de page

Objets 3D - Prismes :

On peut insérer un prisme dont la base est le polygone selectionné. Le polygone choisi peut avoir été créé par une macro.

Haut de page

Perspectives :

Comme pour le menu "Objets 3D", vous pouvez tracer des objets 3D, mais cette fois ci en perspective cavalière. Vous pouvez tracer un cube, un pavé droit ou un cylindre en choisissant les dimensions, le coefficient de réduction des fuyantes ainsi que l'angle.

Haut de page

Patrons :

Permet de dessiner le patron d'un cube, d'un tetraèdre, d'un prisme, d'un pavé, d'une pyramide, d'un cône ou d'un cylindre dans des positions plus ou moins pliées.
Pour le prisme il faut d'abord sélectionner le polygone qui servira de base. On clique sur "Objet", "Patrons", "Prismes", on choisi la hauteur du prisme, puis on obtient la boîte de dialogue suivante :

En particulier, le bouton "Remettre à Zéro" permet d'avoir le patron de face, avec les dimensions réelles.

Haut de page

Instruments :

Vous pouvez représenter graphiquement une règle, une équerre, un compas, un rapporteur et un crayon.

Il suffit de cliquer sur l'icône et éventuellement de compléter la boîte de dialogue qui s'ouvre.

Pour le compas, vous pouvez aussi sélectionner un segment qui représente l'écartement du compas.

Pour la règle, vous pouvez aussi sélectionner un segment qui donne la longueur et l'orientation de la règle.

Haut de page


Barre d'outils Géométrie

La barre d'outils Géométrie - Menu Figure Géométrique

Ce menu permet d'insérer une figure géométrique à partir de sa description en langage courant.

Description rapide :

1) Insérez une zone de texte
2) Tapez la description dans cette zone. Attention a la syntaxe (voir détails plus bas)! A partir de la version 4 de GDMath, vous pouvez aussi utiliser les sous menus de "Figure géométrique" pour insérer directement le texte (il ne reste alors qu'à modifier les noms des objets).
3) Cliquez sur "Lancer le tracé". Différentes boîte de dialogue s'ouvre, vous permettant de déplacer les différents objets créés.

Remarque : le cadre de texte sert de limite au dessin.

Description détaillée :

exemple :

Definir unite cm
Placer le point A de coordonnees 6 et 3
Tracer une droite D1 passant par A
Placer un point B sur la droite D1
Tracer la droite D2 perpendiculaire a la droite D1 passant par B
Tracer une droite D3 perpendicuaire a la droite D2

Conseils d'utilisation :

  • Le cadre qui entoure l'image à la fin de la construction a exactement les mêmes dimensions que le cadre de texte que vous avez inséré au début. Il se superpose au cadre de texte (celui-ci n'est pas effacé). Si vous voulez modifier le dessin, il suffit de supprimer le cadre image, de modifier le texte, puis de cliquer à nouveau sur "Lancer le tracé".
  • Vous pouvez aussi modifier le dessin en dissociant la figure (voir trucs et astuces). Cela peut être utile pour rallonger des droites trop courtes.
  • Si vous utilisez les menus de "figure géométrique", un texte est automatiquement inséré. Il suffit de remplacer les symboles % par les lettres ou chiffres que vous voulez.
  • Après avoir cliqué sur "Lancer le tracé", différentes boîtes de dialogue s'ouvre pour vous donner des choix dans le placement des objets. En voici un exemple :

La description :
Placer le point A de coordonnees 2 et 2
Placer le point B de coordonnees 4 et 4
Tracer la droite d passant par A et B
Tracer une droite d1 perpendiculaire a la droite d

...donne le résultat :
La zone 1 permet de déplacer le texte situé dans la zone 2. Il suffit de cliquer et de glisser la souris.
On peut déplacer tous les noms des objets en les sélectionnant dans la zone 2. L'objet sélectionné apparaît en rouge sur le dessin.

Syntaxe :

Vous pouvez écrire les phrases en respectant la syntaxe donnée ci-dessous. Mais vous pouvez aussi insérer directement les phrases à partir des menus de "figure géométrique".

Les commandes en italiques ne sont pas encore implémentées (les droites remarquables du triangle).

"Definir unite cm" ou bien "Definir unite pt"
Permet de définir l'unité utilisée pour donner les coordonnées des points (origine sommet haut/gauche du cadre). Cette option est facultative si vous utilisez les cm comme unités, mais elle est indispensable si vous utilisez les points.

Points :
"Placer le point %NomPoint%"
"Placer le point %NomPoint% de coordonnees %abscisse% et %ordonnee%"
"Placer le point %NomPoint% sur la droite %NomDroite%"
"Placer le point %NomPoint% sur le cercle %NomCercle%"
"Placer le point %NomPoint% sur la demi-droite %NomDemiDroite%"
"Placer le point %NomPoint% l'intersection de la droite %NomDroite% et de la droite %NomDroite%"
"Placer le point %NomPoint% milieu du segment %NomSegment%"
"Placer le point %NomPoint% centre du cercle %NomCercle%
Remarque : l'origine du repère est le coin supérieur gauche du cadre.

Segment :
"Tracer le segment [%NomPoint%%NomPoint%]"
"Tracer le segment %NomSegment% d'extremites %NomPoint% et %NomPoint%"
"Tracer le segment %NomSegment% un rayon du cercle %NomCercle%"
"Tracer le segment %NomSegment% un diamètre du cercle %NomCercle%"

Droites :
"Tracer la droite (%NomPoint%%NomPoint%)
"Tracer la droite %NomDroite% passant par %NomPoint% et %NomPoint%"
"Tracer une droite %NomDroite% passant par %NomPoint%"
"Tracer la droite %NomDroite% perpendiculaire a la droite %NomDroite% passant par %NomPoint%"
"Tracer la droite %NomDroite% perpendiculaire au segment %NomSegment% passant par %NomPoint%"
"Tracer une droite %NomDroite% perpendiculaire a la droite %NomDroite%"
"Tracer la droite %NomDroite% parallele a la droite %NomDroite% passant par %NomPoint%"
"Tracer une droite %NomDroite% parallele a la droite %NomDroite%"
"Tracer les droites %NomDroite% et %NomDroite% secantes en %NomPoint%"
"Tracer les droites %NomDroite% et %NomDroite% perpendiculaires en %NomPoint%"
"Tracer les droites %NomDroite% et %NomDroite% paralleles"
"Tracer la droite %NomDroite% la mediatrice du segment %NomSegment%"

Demi-droite :
"Tracer la demi-droite [%NomPoint%%NomPoint%)
"Tracer la demi-droite %NomDemiDroite% d'origine %NomPoint% passant par %NomPoint%"

Triangle :
"Tracer le triangle %NomTriangle% de sommets %NomPoint% %NomPoint% %NomPoint%"
"Tracer la hauteur %NomHauteur% du triangle %NomTriangle% issue de %NomPoint%"
"Tracer la hauteur %NomHauteur% du triangle %NomTriangle% relative au côté %NomSegment%"
"Tracer la mediane %NomMediane% du triangle %NomTriangle% issue de %NomPoint%"
"Tracer la mediane %NomMediane% du triangle %NomTriangle% relative au côté %NomSegment%"
"Tracer la bissectrice %NomBissectrice% du triangle %NomTriangle% issue de %NomPoint%"
"Tracer la mediatrice %NomMediatrice% du triangle %NomTriangle% relative au côté %NomSegment%"

Remarque :
lorsque vous créez un triangle passant par trois points, les lettres doivent être séparées par un espace. Par exemple : "Tracer le triangle T de sommets A B C"

Cercles :
"Tracer le cercle %NomCercle% de centre %NomPoint%"
"Tracer le cercle %NomCercle% de centre %NomPoint% passant par %NomPoint%"
"Tracer le cercle %NomCercle% de centre %NomPoint% de rayon %longueur%"
"Tracer le cercle %NomCercle% passant par les points %NomPoint% %NomPoint% et NomPoint"

Polygones :

"Tracer le polygone regulier de centre %NomPoint% ayant %Nombre de sommets% sommets"
"Tracer le polygone regulier %NomPolygone% ayant %NombreSommets% sommets de centre %NomCentre% de sommet %NomPoint%"
"Tracer le polygone régulier %NomPolygone% de centre %NomCentre% ayant %NombreSommet% sommets de rayon %longueur%"


Barre d'outils Divers

La barre d'outils Divers

Voici une description des différents menus de la barre d'outils Divers :

Logiciels :

Ce menu permet de lancer les logiciels de géométrie dynamique "Cabri" ou "Déclic". Il faut avoir lancé manuellement les logiciels au moins une fois.

Flêche vers le haut [image]:

Permet de remonter un paragraphe. Plus précisement, cela diminue "l'espace avant" du paragraphe de 1 point.

Flêche vers le bas [image]:

Permet de descendre un paragraphe. Plus précisement, cela augmente "l'espace avant" du paragraphe de 1 point.

Changer la fonte [image]:

Cette macro permet de fixer la police de caractère qui sera utilisée dans les zones de texte insérées par les macros. Pour cela il faut placer le curseur sur un caractère ayant la police désirée puis cliquer sur [image] (la police visible dans la barre de menu sera alors utilisée par les macros).


Barre d'outils Gestion des objets

La barre d'outils Gestion des objets

Voici une description des différentes icônes de la barre d'outils "gestion des objets". Ce sont des fonctions de Word et non pas des macros :

Les 4 premières icônes permettent de grouper [image] et de dissocier [image] les figures. Par exemple si vous créez un triangle dont les sommets sont affichés, cela correspond en fait à quatre éléments qui ont été regroupés : le triangle plus 3 zones de texte pour les noms des sommets. En dissociant la figure on peut agir sur chacun de ces éléments séparément. On peut ensuite à nouveau les assembler en sélectionnant un des élément puis en cliquant sur l'icône "regrouper" [image]. L'icône "décomposer l'image" [image] permet de transformer une image insérée à l'aide d'un cadre en groupement d'objet Word. Par exemple, si vous insérez une figure Déclic, vous pouvez la décomposer et travailler sur les différents éléments.

Les 6 icônes suivantes [image] permettent de jouer avec l'alignement des figures, horizontalement ou verticalement. Il faut au moins sélectionner deux figures pour que les icônes soient actives.

Les deux icônes suivantes [image] permettent de répartir les figures sélectionnées sur toute la page, horizontalement et/ou verticalement.

L'icône "sur la page" permet de placer les dessins par rapport à la page et non par rapport à eux-mêmes. Par exemple, si vous alignez les centres de deux figures, cela se fera par rapport à l'une d'entre elles. Mais si vous cochez "Sur la page", les deux figures seront centrées par rapport à la page.


Barre d'outils Textes Mathématiques

La barre d'outils Textes Mathématiques

Voici une description des différents menus de la barre d'outils Textes Mathématiques.

Parcourez la page ou cliquez sur une icône de la barre d'outils pour en savoir plus :

Les deux outils "angles" [image]:

Ces icônes permettent de placer un "chapeau" au-dessus de lettres pour indiquer un angle.
Ecrivez puis sélectionnez les lettres et cliquez sur l'icône.
Autre méthode : cliquez sur l'icône, une boite de dialogue s'ouvre et vous pouvez donner le nom de l'angle.

La taille du "chapeau" est adaptée à un angle écrit avec trois lettres ou avec une lettre.

La sélection des lettres n'est pas obligatoire, voir Trucs et astuces pour en savoir plus.

Haut de page

L'outil "vecteur" [image]:

Permet d'écrire un vecteur. La procédure est la même que pour les angles.

La taille de la flêche est adaptée à un vecteur écrit avec une ou deux lettres.

La sélection des lettres n'est pas obligatoire, voir Trucs et astuces pour en savoir plus.

Haut de page

L'outil "Fraction" [image]:

Permet d'écrire une fraction ou de décomposer un décimal en fractions décimales.

Ecrire une fraction :

Ecrivez la fraction avec un /. Par exemple 5/7. Sélectionnez la fraction, puis cliquez sur l'icône [image]. On obtient alors [image]. Avec les fractions simples (comme 5/7) vous n'avez pas besoin de la sélectionner. Ecrivez 5/7 puis cliquez sur [image] ou utilisez le raccourci clavier CTRL+SHIFT+F. Le "mot" qui précède le point d'insertion est automatiquemment sélectionné.

On peut écrire des fractions très sophistiquées, par exemple :

Comme pour les angles et les vecteurs, on peut aussi cliquer sur l'icône [image], puis entrer la fraction dans une boîte de dialogue (dans ce cas, uniquemment des fractions simples comme 5/7).

Décomposer un nombre décimal en fractions décimales :

On peut insérer des décompositions en fractions décimales d'un nombre décimal. Pour cela, selectionner le nombre décimal puis cliquer sur le bouton "fraction" :
Décomposition chiffre par chiffre :
123,45 = 1x100 + 2x10 + 3 + 4/10 + 5/100

Décomposition partie entière, partie décimale (Il faut doubler la virgule pour obtenir la decomposition partie entiere/ partie decimale):
123,,45 = 123 + 45/100

Il faut taper une * a la fin du nombre pour afficher les zeros.
100,03 donnera 1x100 + 3/100
100,03* donnera 1x100+0x10+0x1+0/10+3/100
100,,03 donnera 100 + 3/100

Haut de page

L'outil "racine carrée" [image]:

Permet de tracer des racines carrées. La procédure est la même que pour les outils ci-dessus.

La sélection des lettres n'est pas obligatoire dans certains cas, voir Trucs et astuces pour en savoir plus.

Haut de page

Le menu "délimiteurs" :

Ce menu contient de nombreux délimiteurs. Vous pouvez entourer des lignes de textes par des crochets, des barres ou des accolades. Vous pouvez aussi choisir si le délimiteur doit être à gauche, à droite ou des deux côtés. Le fonctionnement des délimiteurs est le même quel que soit sa forme. Ci dessous un exemple pour écrire un système et un autre pour les grandes parenthèses.

L'outil "système" [image] :

Ecrivez les équations séparés par un /, sélectionnez le tout, puis cliquez sur une des icônes [image] ou [image]. Par exemple 2x+3y=5/3x+7y=2.

On peut écrire n'importe quel texte de part et d'autre des /.

Comme pour les angles et les vecteurs, on peut aussi cliquer sur l'icône "système", puis entrer les équations dans une boîte de dialogue.

Exemple :

L'outil "Parenthèses" [image]:

Permet d'insérer de grandes parenthèses, autour de fractions ou de matrices par exemple. Sélectionnez les fractions, puis cliquez sur l'icône [image].

Comme pour les angles et les vecteurs, on peut aussi cliquer sur l'icône [image], puis entrer le texte dans une boîte de dialogue.

Haut de page

L'outil "Tableau"

Cet outil permet d'insérer facilement des tableaux de valeurs (calcul matriciel). Cliquez sur l'icône [image] puis compléter la boîte de dialogue qui s'ouvre.

Si vous cliquez sur l'icône [image] alors qu'un tableau de valeurs est sélectionné, une boîte de dialogue s'ouvre, vous permettant de paramétrer l'écartement des valeurs.

Une fois les chiffres affichées vous pouvez les entourer avec un délimiteurs (parenthèse, crochet, ...) en utilisant le menu "délimiteurs".

Haut de page

L'outil "puissance" [image]:

Permet d'écrire une puissance ou un carré plus adapté que le ² que l'on obtient à partir de la touche en haut à gauche du clavier, en particulier pour les puissances au-dessus de grandes parenthèses.

La première icône permet de monter l'exposant pixel par pixel et la deuxième permet de le descendre. Cet outil s'utilise comme la fonction "gras" de Word.

Par exemple pour écrire : , tapez [image] puis sélectionnez le 3 et cliquez sur [image] pour monter la puissance. Faites de même avec le 4.

Pour écrire des puissances simples (5 puissance 3 par exemple) il vaut mieux utiliser l'icône exposant de Word.

Haut de page

L'outil "encadrer" [image]:

Permet d'encadrer un texte. Sélectionnez le texte puis cliquez sur l'icône [image]. On peut aussi cliquer sur l'icône en premier puis entrer le texte dans une boîte de dialogue.

La sélection des lettres n'est pas obligatoire dans certains cas, voir Trucs et astuces pour en savoir plus.

Haut de page

L'outil "arc" [image]:

Fonctionne comme les vecteurs.

La sélection des lettres n'est pas obligatoire, voir Trucs et astuces pour en savoir plus.

Haut de page

L'outil "barre" [image]:

Fonctionne comme les vecteurs.

Haut de page

L'outil "insérer un cadre" [image]:

Cliquez sur l'icône [image] pour insérer un cadre texte que l'on peut placer n'importe où sur la feuille. Ce cadre peut aussi être pivoté (contrairement à une zone de texte).

Haut de page

Le menu "opérations" :

Ce menu permet d'insérer sans difficultés des opérations : addition, soustraction, multiplication et division.
Depuis la version 6.0 vous pouvez aussi :
- insérer des additions et des soustractions sexagesimales (voir plus bas).
- Effectuer des conversions (voir plus bas).

Les opérations :

Par exemple pour la division il suffit de donner le dividende et le diviseur et gdmath se charge du reste.

Si vous cochez la case "Remplacer les chiffres du résultat par le caractère", l'opération est posée mais les chiffres du résultat sont remplacés par des points (ou autre chose). On peut aussi placer les trous à certains endroits seulement pour faire des opérations à trous en dissociant la figure. Voir dans la rubrique "Trucs et astuces".

Pour la multiplication, différentes options sont proposées :

"Matérialiser le décalage" permet d'afficher les zéros, mais on peut aussi afficher n'importe quel autre caractère, par exemple un point.

"Multiplications intermédiaires" affiche à côté de la multiplication posée les produits qui permettent d'obtenir les lignes intermédiares. Par exemple :

Les opérations sexagésimales :

Les durees s'écrivent en séparant les heures, les minutes et les secondes par le signe ":"
exemple : taper puis sélectionner le texte "1:04:56-0:34:18" permet d'insérer l'opération correspondante. Le calcul est effectué mais on peut l'effacer en dissociant la figure (Voir dans la rubrique "Trucs et astuces").

Les conversions :

Le bouton "conversions" permet d'insérer toutes sortes de conversions.
Exemples :
La sélection du texte "3,75h=hmins" transforme 3,75h en h min et s.
La sélection du texte "3m=cm" transforme 3m en cm.

Haut de page

L'outil "Calcule" [image] :

Ecrivez un calcul en ligne, sélectionnez le, puis cliquez sur [image]. GDMath vous rajoutera alors le signe "=" et le résultat du calcul.
Par exemple, vous tapez 2 + 2, vous sélectionnez et vous cliquez sur [image]. Vous aurez alors la ligne 2 + 2=4.

Haut de page

L'aide :

Vous avez accès à sept éléments dans ce menu :

  • Cliquer sur "Aide GDMath" ouvre le fichier que vous êtes en train de lire. Il faut que le fichier gdmath.chm soit impérativement dans le répertoire c:\Program Files\gdmath pour pouvoir être lancé à partir de ce menu.
  • "Exemples" ouvre le document exemples.pdf. Ce document contient des exemples d'écritures mathématiques et de figures géométriques réalisées avec GDMath. Vous devez avoir installé Acrobat Reader pour lire ce document et il doit obligatoirement être dans le dossier c:\Program Files\gdmath pour pouvoir être lancé à partir de ce menu.
  • "Nouveautés" vous donne les dernières nouveautés de la version de GDMath que vous avez installé. Le fichier nouveau.txt doit obligatoirement être dans le dossier c:\Program Files\gdmath pour pouvoir être lancé à partir de ce menu.
  • "Ecrire à l'auteur" ouvre votre logiciel de courrier électronique et permet d'écrire à macro.word@laposte.net.
  • "Page web GDMath" lance une page web qui vous donnera le numéro de la version la plus récente, avec la possibilité de la télécharger.
  • "Forum GDMath" lance une page web avec un forum pour parler de GDMath. Vous pouvez poser vos questions, proposer des améliorations, ...
  • A propos vous donne la version de GDMath.

Haut de page


Barre d'outils Lycée

La barre d'outils Lycée

Voici une description des différents outils de la barre d'outils Lycée:

Parcourez la page ou cliquez sur une icône de la barre d'outils pour en savoir plus :

L'outil "Somme" [image]:

Permet d'écrire le symbole somme. Par exemple pour écrire la somme des 10 premiers entiers, tapez et sélectionnez le texte : n=1;10;n puis cliquez sur [image]. On obtient :

Haut de page

L'outil "Produit" [image]:

Permet d'écrire le symbole produit. La procédure est identique à la somme ci-dessus.

Haut de page

L'outil "Intégrale" [image]:

Permet d'écrire une intégrale. Tapez et sélectionnez le texte "borne inf;borne sup;fonction" puis cliquez sur [image].
Remarque : pour insérer le symbole "infini", tapez inf+F3.

Haut de page

L'outil "Arrangement" [image]:

Tapez exposant;indice puis cliquez sur [image] pour insérer le symbole "Arrangement".
Remarque : il est inutile de sélectionner les mots avant de cliquer sur l'icône.

Haut de page

L'outil "Combinaison" [image]:

Tapez exposant;indice puis cliquez sur pour [image] insérer le symbole "Combinaison".
Remarque : il est inutile de sélectionner les mots avant de cliquer sur l'icône.

Haut de page

L'outil "Limite" [image]:

Permet d'insérer une limite. Par exemple pour insérer la limite de [image] quand x tend vers 0, tapez et sélectionnez le texte "x;0; [image] " (en convertissant 1/x en fraction au préalable) et cliquez sur [image]. On obtient :

Remarque : pour insérer le symbole "infini", tapez inf+F3.

Haut de page

L'outil "Tableau de variation"

Cliquez sur l'icône [image] pour insérer un tableau de variation :

Commencez par choisir le nombre d'intervalle sur lequel x doit varier. Le tableau de l'image ci-dessus placera automatiquement le bon nombre de cases.
Ensuite on complète la deuxième ligne avec le nom de la variable et les intervalles sur lesquelles elles varie (ici ]-inf;0] et [0;+inf[).
La troisième ligne contient le signe de la dérivée (ici le tableau affichera f' pour le nom de la dérivée et + et - pour le signe dans chaque intervalle).
Enfin la dernière ligne permet d'indiquer les intervalles dans lesquelles varie f(x). Ici f(x) varie de -inf à 1, puis de 1 à -2.
Si la dérivée est deux fois positive une case sera rajoutée dans la ligne f(x).

Cliquez sur OK puis le tableau de variation sera tracé.

Haut de page


Barre d'outils cacher

Afficher / Cacher des barres d'outils

Les barres d'outils prennent beaucoup de place, cette rubrique permet de cacher / afficher certaines d'entre elles. Elle permet aussi d'avoir rapidement, en deux clics, un espace de travail agrandi puis de retrouver tout aussi rapidement les barres d'outils.

Vous avez trois options :

Affiche les barres d'outils :

Affiche les barres d'outils qui ont été sélectionnées à l'aide du menu "Sélection des barres d'outils".

Efface les barres d'outils :

Efface les barres d'outils qui ont été sélectionnées à l'aide du menu "Sélection des barres d'outils". Cela permet d'avoir un espace de travail agrandi. On retrouve rapidement les barres d'outils en cliquant sur "Affiche les barres d'outils".

Sélection des barres d'outils :

Une boîte de dialogue s'ouvre vous permettant de décocher les barres d'outils que vous n'utilisez pas. Par exemple, si vous êtes prof de collège et que vous ne vous servez pas de la barre d'outils lycée, vous pouvez la décocher. Les boutons "Affiche les barres d'outils" et "Efface les barres d'outils" n'auront alors plus aucun effet sur les barres décochées.


Trucs et astuces

Les thèmes de cette page :
Personnaliser les figures - Allonger et déplacer un trait - Déplacer un objet - Sélectionner plusieurs objets - Créer des formules sans sélectionner - Supprimer des barres d'outils - Règles typographiques en mathématiques

Personnaliser les figures

La plupart des figures créées sont en fait composées de plusieurs objets Word (trait, zone de texte, ...) qui ont été regroupés. Cela permet de déplacer les objets plus facilement.

Pour modifier les figures une fois construites il suffit de les dissocier. Chaque élément est alors accessible. Par exemple, on peut tracer un quadrillage à petit carreau, le dissocier, puis colorier certaines cases. On peut ensuite regrouper la figure pour en obtenir une seule.

Autre exemple : on peut de la même manière créer une division à trou. Créer une division sans trou. Dissocier la figure. On obtient alors une zone de texte par chiffre. Il suffit de remplacer les chiffres à cacher par un point. Pour finir on regroupe la figure.

Haut de page

Allonger et déplacer un trait

Cette manipulation sert souvent lors du tracé des bissectrices d'un triangle.

Si nécessaire, commencez par dissocier [image] la figure. Eventuellement il faudra dissocier la figure plusieurs fois.

Pour rallonger un trait, cliquez sur une extrémité et tirez avec la souris. Pour que l'inclinaison du trait ne change pas, il faut maintenir la touche MAJUSCULE enfoncée.

Pour déplacer le trait on peut se servir des flèches du clavier. Pour le déplacer avec précision, maintenir la touche CTRL enfoncée.

Haut de page

Déplacer un objet

Les figures insérées se retrouve souvent en haut à gauche de la page. Pour les déplacer cliquez sur la figure et glissez à la souris vers la zone que vous voulez. Il faut que la souris ai la forme d'une croix. Si ce n'est pas le cas il faut bien placer le curseur sur un trait de la figure (cela peut être délicat, surtout avec les réseaux pointés).

Par exemple, pour déplacer une division, il faut placer le curseur sur un des traits qui forme la division et pas sur un des chiffres.

Haut de page

Sélectionner plusieurs objets

Cliquez sur les objets en maintenant la touche MAJUSCULE enfoncée.

Haut de page

Créer des formules (fractions, ...) sans sélectionner des mots avant de cliquer sur une icône

De façon générale dans GDMath, on écrit des "mots" on les sélectionne, puis on clique sur un outil pour créer une formule. Dans certains cas on peut aller plus vite en "oubliant" l'étape de sélection des "mots".

Par exemple, pour écrire la fraction [image] je tape 5/7 et puis je clique sur [image] (ou j'utilise le raccourci clavier). Je n'ai pas besoin de sélectionner le "mot" 5/7.

En fait GDMath sélectionne automatiquement le premier mot qui précède le point d'insertion (ou 3 mots si on inclu le / ou le ;). Donc si la partie qui précède le point d'insertion contient un espace il faut la sélectionner, dans le cas contraire on peut s'en passer.

Cette fonctionnalité est utilisable avec les fractions, les vecteurs, les angles, les arcs, l'encadrement, la racine carrée, le complémentaire et l'arrangement.

Haut de page

Supprimer des barres d'outils

Vous n'utiliserez peut-être pas toutes les barres d'outils. Vous avez deux possibilités pour en supprimer :

  • Utiliser le menu "barres d'outils" de GDMath.
  • Utiliser les fonctionnalités de Word : pour désactiver certaines barres d'outils, cliquez avec le bouton de droite de la souris sur l'une d'elles. Une liste des barres d'outils apparaît et il vous suffit de décocher celles qui ne vous intéressent pas.

Les barres d'outils de GDMath sont :

- Divers
- Géométrie
- Textes mathématiques
- Lycée
- Gestion des objet
- Barres d'outils

Haut de page

Règles typographiques en mathématiques

Les règles typographiques en mathématiques sont très précises et souvent méconnues. L'inspection générale de l'éducation nationale a écrit un document précisant ces règles. Vous pouvez le consulter à l'adresse : www.cdprof.com/article4.php (nécessite Acrobat Reader).

Parmi ces règles méconnues, nous attirons votre attention sur l'une d'entre elles : l'écriture des ensembles de nombres (R, N, Z, ...). Les insertions automatiques de GDMath permettent d'insérer ces ensembles avec la double barre, car c'est ainsi que le note la plupart des enseignants. Mais dans un traitement de texte, la typographie officielle est d'écrire les ensembles de nombres en majuscule et en gras, donc R, N, Z, ... Comme on ne peut pas écrire en gras au tableau, on a inventé l'écriture avec la double barre. Celle-ci est donc réservée à l'écriture au tableau.

Haut de page


Insertions automatiques

Cette page présente les insertions automatiques de gdmath, classées en deux catégories : Les dessins - Numérique

Ecrivez le mot clé puis appuyez sur la touche F3 pour insérer les dessins, signes mathématiques, frises, ...

Les dessins :

  • Les instruments :

crayon + F3 : insère un crayon
equerre + F3 : Insère le dessin d'une équerre
rap1 + F3 : Insère un rapporteur circulaire
rapporteur + F3 : Insère un rapporteur

  • Les figures géométriques planes:

croix + F3 : insère un point marqué par une croix avec un cadre texte pour le nom
point + F3 : Insère un point marqué d'une croix ainsi qu'un cadre texte pour son nom (croix plus petite que l'option ci-dessus)
segment + F3 : Insère un segment avec 2 cadres texte pour le nom des extrémités
equilateral + F3 : Affiche un triangle équilatéral
isocele + F3 : Insère un triangle isocèle
losange + F3 : Insère un losange
parallelogramme + F3 : Insère un parallélogramme
rectangle + F3 : Insère un rectangle

  • Les frises :

equil + F3 : Affiche une ligne de triangles

hexa + F3 : Insère une ligne d'hexagones

ligne + F3 : Insère une ligne se cahier "grands carreaux"

pcar + F3 : Insère une ligne de cahier "petits carreaux"

  • Les figures géométriques de l'espace :

pave + F3 : Insère un pavé droit
pyramide + F3 : Insère une pyramide
cube + F3 : Insère un cube
sphere + F3 : Insère une sphère
tetraedre + F3 : Insère un tétraèdre

Numérique :

  • Les opérations

fleche + F3 : Insère une flèche
* + F3 : Insère le signe de multiplication
delta + F3 : Insère la lettre grecque "Delta"
digit- + F3 : Insère un signe moins (affichage calculatrice)
digit1 + F3 : Insère le chiffre 1 (affichage calculatrice)
etc ...
digit9 + F3 : Insère le chiffre 9 (affichage calculatric

  • Comparaison

diff + F3 : Insère le signe "différent"
env + F3 : Insère le signe "environ"
ioe + F3 : Insère le signe "inférieur ou égal"
soe + F3 : Insère le signe "supérieur ou egal"

  • Pi

pi + F3 : Insère le nombre pi
pi/2 + F3 : Insère la fraction pi/2
pi/3 + F3 : Insère la fraction pi/3
pi/4 + F3 : Insère la fraction pi/4

  • Quelques symboles

app + F3 : insère le symbole "appartient"
napp + F3 : insère le symbole "n'appartient pas"
union + F3 : insère le signe "union"
inter + F3 : insère le signe "intersection"
inclu + F3 : insère le signe "inclu"
inf + F3 : insère le signe "infini"
0+ + F3 : insère 0+ (avec le + en exposant)
0- + F3 : insère 0- (avec le - en exposant)

  • Les ensembles de nombres :

Tous les ensembles de nombres (R,Q,N,D et C) peuvent être insérés comme dans les exemples ci-dessous (voir la rubrique "trucs et astuces" pour un commentaire sur l'écriture officielle de ces ensembles):
r + F3 : insère l'ensemble des réels
r+* + F3 : insère l'ensemble des réels positifs non nuls.
r- + F3 : insère l'ensemble des réels négatifs.

  • Les tableaux d'unités :

tabm + F3 : insère un tableau des unités de longueur.
tabl + F3 : insère un tableau des unités de capacité.
tabg + F3 : insère un tableau des unités de masse.
tabn + F3 : insère un tableau de numération de la classe des milliards jusqu'aux millièmes.


Raccourcis clavier

Les raccourcis clavier permettent de ne pas avoir à jongler entre la souris et le clavier.

Tapez ... | Pour obtenir :
CTRL+MAJ+A | un angle
CTRL+MAJ+R | un angle rentrant
CTRL+MAJ+F | une fraction
CTRL+MAJ+V | un vecteur
CTRL+MAJ+S | un système d'équations
CTRL+MAJ+E | encadrer un texte
CTRL+MAJ+P | des grandes parenthèses